**`Jack McKenzie`[NAME]**, MIEEE, MACM -NL- • Central London, United Kingdom -NL- **`jackmckenzie.work@gmail.com`[EMAILS_EMAIL]** • **`07958-360-467`[PHONES_PHONE]** -NL- **`Experience Overview`[WORK_EXPERIENCE_HEADING]** -NL- • Big Data and Analytics consultant / Solutions Architect / Senior Project Manager -NL- with a relevant PhD-level education, strong business acumen, architecting, project -NL- management, and overall 10 years of software engineering with the full stack Java. -NL- • Solutions Architecture: SOA, EDA, Enterprise Service Bus, Enterprise Application -NL- Integration, Microservices, CQRS, ArchiMate, TOGAF, ZACHMAN, UML, BPM, BPMN, -NL- BPMS, BRMS, MVC, MVP, OOA, OOD, DDD, TDD, BDD, Enterprise Architect, Visual -NL- Paradigm, GOF design patterns, architectural styles, architectural patterns, REST, -NL- SOAP, software product lines, design by contract, component architectures, gap -NL- analysis, object-orientation, SOLID, ETL, CEP, ESP, data pipelines, data warehouses, -NL- YARN, MPP -NL- • Big Data and Analytics: ETL, ELT, Event Stream Processing, Storm, Spark, Hadoop -NL- (Cloudera, Hortonworks, MapR), Kafka, Redis, NiFi, Complex Event Processing, Esper, -NL- Siddhi, Data Mining, Web Scraping, Data Warehousing, MongoDB, Cassandra, Data -NL- Indexing, Machine Learning, ElasticSearch, Solr, Lucene, Spring Data, massively -NL- scalable distributed software architectures, embedded, real-time -NL- • Software Testing: experience managing test plans, writing unit tests, integration -NL- tests, system tests, acceptance tests, performance tests, stress/load tests, security -NL- tests with various tools incl. JUnit, Mockito, EasyMock, PowerMock, SoapUI, BASH -NL- scripting, Python scripting, ab, New Relic, App Dynamics -NL- • Project Management: MS Project, PRINCE2, PMI, Agile, JIRA, Scrum, Lean, Kanban, -NL- XP, Rational Unified Process, reporting, risk management and mitigation, stakeholder -NL- management, resource allocation, rich experience in proactive IT project -NL- management, preventing slippage and resolving it when it occurs. Impeccable -NL- knowledge of IT project management and a deep expertise in related methodologies -NL- with a proven track record of delivering on time, on budget, toward requirements. -NL- • Security, Payment Systems, Infrastructure and Networking, **`Software Engineering`[EDUCATION_COURSE]** -NL- Process Improvement -NL- • Standards ISO 9001, ISO 27001, PCI-DSS, CMMI, ITIL, PMI, SWEBOK, IEEE-830, IEEE- -NL- 827 -NL- Technical Toolbox -NL- Big Data: Hadoop (Cloudera, Hortonworks, MapR), Hive, Spark (batch + streaming), -NL- Storm, NiFi, Complex Event Processing, Esper, Siddhi, Splunk, RapidMiner, Pig, Sqoop, -NL- Flume, Impala, Oozie, Sentry, KNOX, Ranger -NL- Java: Servlets, JSP, JSF, EJB 3, JMS, JPA, JTA, JMX, JAX-B, JAX-WS, JAX-RS, RMI, JNDI, -NL- JDBC -NL- Java Frameworks: Spring (MVC, Security, Data, Cache, Boot, Cloud, Integration), -NL- Hibernate, Toplink, Camel, Eureka, Hystrix, Lombok, JUnit, TestNG, PowerMock, -NL- Mockito, Selenium, Drools -NL- Message Queues: ActiveMQ, HornetQ, RabbitMQ, Kafka -NL- Servers/containers: Tomcat, Jetty, JBoss, Wildfly, WebLogic, Glassfish, Apache, IIS -NL- Configuration Management: GIT, Subversion, IBM ClearCase, Maven, Ant, Jenkins, -NL- Bamboo, Nexus, Sonar -NL- Scripting: Python, Scala, BASH, PHP, JavaScript, Groovy -NL- SQL: MySQL, PostgreSQL (incl. PL/SQL), Oracle 11g, MS SQL Server, SQLite -NL- NoSQL: MongoDB, Cassandra, HBase, Lucene, Elastic Search, Solr -NL- JavaScript: Node.js, Angular.JS, ExtJS, Grunt, Gulp, jQuery, JSON -NL- Cloud: Amazon (incl. AWS), Rackspace, OpenShift, Google -NL- Other: Java 8 Lambda expressions, streams, C#, .NET, Docker, HTML5, CSS3, DOM, -NL- LESS, Twitter Bootstrap, Responsive Web Design (RWD), XML, xPath, xQuery, XSLT, -NL- Terracotta, JIRA, Confluence, Stash, OWASP, App Dynamics, New Relic, MS Excel, -NL- FreeMarker, OAuth, SSO, LAN/WAN, TCP/IP -NL- **`Professional Associations`[OTHERS_HEADING]** -NL- CMI, Member (joined 2015) -NL- Chartered Management Institute creates leaders through management and -NL- leadership development training, qualifications, membership and research. -NL- ACM and SIGSOFT, Member (joined 2013) -NL- Association for Computing Machinery is the world's largest and most prestigious -NL- scientific and educational computing society. -NL- IEEE and Computer Society, Member (joined 2012) -NL- The Institute of Electrical and Electronics Engineers is dedicated to advancing -NL- technological innovation and excellence. -NL- **`Education and Professional Development`[EDUCATION_HEADING]** -NL- **`Doctor of Philosophy`[EDUCATION_DEGREE]** (PhD), **`Software Engineering`[EDUCATION_COURSE]**, **`University of West London`[EMPLOYER_COMPANY_NAME]** -NL- (2013 – present) -NL- • Big Data and Analytics research (Suitable Software Architecture for Real-Time Big -NL- Data Analytics using Complex Event Processing) -NL- **`Master of Science`[EDUCATION_DEGREE]** (MSc), **`Software Engineering`[EDUCATION_COURSE]**, Distinction, University of -NL- West London (2011 – 2013) -NL- • Advanced Topics in Software -NL- • UML Component Modeling -NL- Engineering -NL- • Distributed Application Development • Knowledge Management -NL- • Project Management -NL- • Dissertation -NL- • Research Methods -NL- Certified Software Development Associate course, IEEE (2013) -NL- • Computing Foundations -NL- • Engineering Foundations -NL- • Mathematical Foundations -NL- • **`Software Engineering`[EDUCATION_COURSE]** Methods -NL- • Software Design -NL- • Software Construction -NL- • Software Configuration Management -NL- • **`Software Engineering`[EDUCATION_COURSE]** Management -NL- • **`Software Engineering`[EDUCATION_COURSE]** Economics -NL- • **`Software Engineering`[EDUCATION_COURSE]** Process -NL- • **`Software Engineering`[EDUCATION_COURSE]** Professional -NL- • Software Maintenance -NL- Practice -NL- • Software Quality -NL- • Software Requirements -NL- • Software Testing -NL- European Computer Driving License, CoProSys s.r.o. (2006) -NL- • Concepts of ICT -NL- • Using the Computer & Managing Files -NL- • Word Processing -NL- • Spreadsheets -NL- • Using Databases -NL- • Presentation -NL- • Web Browsing and Communication -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`University of West London `[EDUCATION_INSTITUTE]**- **`Researcher, Big Data and Analytics`[EMPLOYER_ROLE]** (2013 – -NL- present) -NL- • New product development during which I researched and implemented a new -NL- platform for big data analytics in real-time -NL- • Reviewed a high amount of architectures and concepts in Hadoop and other big -NL- data tools -NL- • Architected a new solution and implemented a PoC in Java to ingest multiple data -NL- streams, correlate them, detect patterns of interest, and react to detected insights -NL- from data by executing custom actions -NL- • Implemented features to analyze big data streams in real time using Complex -NL- Event Processing -NL- • Designed an SQL-like interface to perform ETL on data streams with data-driven -NL- decision making -NL- • Massive scalability to many nodes and integrations with Hadoop -NL- • Project managed from the initial proposal through all stages of SW delivery, -NL- reported to all key stakeholders, negotiated deliverables, managed communication, -NL- planning, execution, presented progress -NL- Achievements: -NL- • Innovated the state of the art of real-time big data analytics with a new suitable -NL- architecture -NL- • Achieved a deep expertise in new product development, big data & analytics, -NL- architecture, and project management -NL- Technologies: Agile, Visual Paradigm, ETL/ELT, Java 8, UML, Linux, AWS, Business -NL- Intelligence, Storm, Spark, Hadoop (Cloudera and Hortonworks), MS Project, Esper -NL- CEP, Siddhi CEP, HBase, Apache Mesos, YARN, Zookeeper, Kafka, JMS, EDA, ESP, -NL- Complex Event Processing, Tomcat, HTML5, Freemarker, JSP, jQuery, CSS3, Maven, -NL- REST, JSON, MongoDB, TestNG, JUnit, Git -NL- **`Channel 4`[EMPLOYER_COMPANY_NAME]** - **`Enterprise Data Architect`[EMPLOYER_ROLE]** – March 2017 - April 2017 -NL- • Innovated **`Channel 4`[EMPLOYER_COMPANY_NAME]**’s TV analytics architecture to shift from batch processing to -NL- real-time analytics -NL- • Explained capabilities of Amazon EMR (Elastic Map Reduce) incl. Spark, Hive, -NL- Sqoop, Flume -NL- • Architected with Amazon AWS, i.e. Redshift, Kinesis, DynamoDB, CloudFormation, -NL- DirectConntect, … -NL- • Proposed and documented the initial data strategy for **`Channel 4`[EMPLOYER_COMPANY_NAME]** -NL- Achievements: -NL- • Architected a solution to shift from batch processing of **`Channel 4`[EMPLOYER_COMPANY_NAME]**’s TV content to -NL- real-time analytics -NL- Technologies: Hadoop, Big Data, ETL, Attunity Replicator, Attunity Cloudbeam, -NL- Oracle, Amazon AWS, Amazon EMR, Redshift, Lambdas, Workflow Orchestration, -NL- Kinesis, DynamoDB, Cloudformation, DirectConnect, Talend, Enterprise Architect, -NL- Lucid Charts, Windows, Linux -NL- **`National Air Traffic Services`[EMPLOYER_COMPANY_NAME]** – **`Big Data Subject Matter Expert`[EMPLOYER_ROLE]** – August 2016 – -NL- September 2016 -NL- • NATS is the UK's leading provider of air traffic control services. Each year it handles -NL- 2.4 millionflights and 250 million passengers in the UK airspace. -NL- • Provided consulting for the feasibility and options stage of big data analytics in -NL- NATS -NL- • Reviewed the data strategy and existing data sources, type of information in data, -NL- and its business use -NL- • Elaborated a PoC (proof of concept): 3 use cases to create value by analyzing big -NL- data fromflights -NL- • Shared knowledge of big data and Hadoop in presentations with managers, -NL- architects, and engineers -NL- • Contributed a tailor-made guidance into Hadoop and highlighted related tools -NL- useful to NATS -NL- • Contributed to the feasibility and options stage incl. migration from SSAS to Hadoop -NL- technologies -NL- • Security cleared -NL- Achievements: -NL- • Successfully introduced new capabilities to start leveraging big data and analytics -NL- in NATS -NL- • Recommended suitable analytic approaches forflight data (post-flight analytics) -NL- Technologies: Big Data, Hadoop (MapR), Big Step cloud, Hive, Spark, Apache Drill, -NL- Python, SSAS, PowerBI, Tableau, Linux, UNIX, XML, XSD, Citrix -NL- **`Fintricity`[EMPLOYER_COMPANY_NAME]** - **`Big Data and Analytics Consultant`[EMPLOYER_ROLE]** – May 2016 – June 2016 -NL- • Consultant on site in Dentsu Aegis Network, a multinational 10,000+ employee -NL- company specializing in media and digital marketing -NL- • Leveraged a deep expertise in big data and analytics to document a new product -NL- called Data Labs -NL- • Documentation involved several chapters for business audiences and additional -NL- ones for technologists -NL- • Data Labs is Dentsu Aegis' Big Data and Analytics platform for online advertizers -NL- • Clients include General Motors, Procter & Gamble Co., Disney, Lenovo, Fox, -NL- Commerzbank, ... -NL- • Worked alongside C-level executives, directors, and senior managers -NL- • Successfully documented the platform for business and technical audiences -NL- Achievements: -NL- • Finished 30% ahead of the time and turned the project from “red” to “green” -NL- • In gained time, inducted a new product manager, built the product roadmap, -NL- identified and showcased tools for product management for JIRA, and created -NL- reporting with charts and tables in MS Excel -NL- Technologies: Big Data, Agile, MS Project, MS Excel, Tableau, Matrix, Hadoop, -NL- KNIME, R, ActiveMQ, PostgreSQL, Java, ETL/ELT, Linux, JIRA -NL- **`Cognia`[EMPLOYER_COMPANY_NAME]** – **`Integrations Software Engineer`[EMPLOYER_ROLE]** - November 2015 – December 2015 -NL- • Implemented an Interactive Voice Response (IVR) system with web service -NL- integrations (REST) -NL- • Reduced IVR building time from days to hours by creating a professional IVR GUI on -NL- my own initiative -NL- • Helped with integrations of PSPs (Payment Service Providers) in a PCI-DSS -NL- environment -NL- • Worked with both the URL redirection and a hosted iframe -NL- • Diagnosed key business inefficiencies and identified good solutions -NL- • Contributed to IT strategy, automation, customer relationship management, -NL- knowledge management -NL- Technologies: Java, Spring, FreeMarker, HTML5, CSS3, Gradle, JUnit, ExtJs, Node.JS, -NL- REST, JSON, MySQL, IVR, SIP, VOIP, Splunk, PCI-DSS, Security, Payment Gateways, -NL- Tomcat, AWS, Telephony, JIRA, Agile -NL- **`Deutsche Börse`[EMPLOYER_COMPANY_NAME]** – **`Innovation Leader, Senior Software Engineer`[EMPLOYER_ROLE]** May 2015 – -NL- June 2015 -NL- • World-leadingfinance company with 10,000+ employees -NL- • Marketplace organizer for trading securities, equities, derivatives, and clearing -NL- • Worked in the Clearstream team. Contributed to an OLTP system Vestima for -NL- investment funds -NL- • In a short timeframe successfully migrated Vestima from Java 7 to Java 8 as -NL- requested -NL- • Migrated the Vestima domain from WebLogic 11g to 12c -NL- • Developed a strategy and reusable rules for migration from PowerMock to Mockito -NL- • Worked with order routing, settlement, and account transfers -NL- Achievements: -NL- • Decreased the number of new defects 90% using a strategic integration of Sonar in -NL- the team’s IDE -NL- • Improved team work and productivity by putting in place afitting architectural -NL- methodology and BPM -NL- • Increased code quality an order of magnitude by helping establish a team code -NL- review process / tool -NL- Technologies: Java EE, Toplink, JAXB, ActiveMQ, JUnit, PowerMock, Mockito, Oracle -NL- Weblogic, IBM SUMMIT, Oracle 11g, Visual Paradigm, Citrix, Ant, Maven, Sonar, -NL- Nexus, IBM ClearCase -NL- **`Casenet LLC`[EMPLOYER_COMPANY_NAME]** – **`Senior Software Engineer, Quality Assurance`[EMPLOYER_ROLE]** February 2015 – -NL- March 2015 -NL- • Large enterprise health care and management system TruCare for US customers -NL- • Company with a headquarters in Boston, MA -NL- • Helped the team to stabilize the software to be ready for reengineering the UI layer -NL- • The backend was a service-oriented modular multi-tier Spring project with -NL- messaging and consumption of several web services (both SOAP and REST) -NL- Technologies: Java, Spring, JAX-RS, JAX-B, JSON, Hibernate, Drools, JBoss, ActiveMQ, -NL- MS SQL Server, Flex, JIRA, Confluence, Subversion, Maven, Ant, Nexus -NL- **`Trinity Mirror Digital Recruitment`[EMPLOYER_COMPANY_NAME]** – **`Senior Software Engineer, Big Data -NL- Expert`[EMPLOYER_ROLE]** Aug 2013 – Nov 2013 (3 months) -NL- • Digital recruitment, a department of the 10,000+ employee Trinity Mirror company -NL- • Data processing for major UK recruitment portals such as www.jobsfinancial.co.uk, -NL- www.totallylegal.co.uk, www.secsinthecity.co.uk, www.fish4jobs.co.uk -NL- • Data transformed from Solr, MongoDB, and MySQL into XML sitemaps for Google to -NL- achieve a great SEO (Search Engine Optimization) -NL- • Integrated Google API and automated the upload of auto-generated sitemaps -NL- • Distributed Terracotta in-memory storage to save CPU cycles on data -NL- transformations -NL- • Engineered unit tests for all new code, mock objects, simulated request/response -NL- for the new API -NL- • CI/CD release engineering with Git, Jenkins, and deployment into Tomcat -NL- Achievements: -NL- • SEO for the 4 major UK job portals improved 70% by generating sitemaps and -NL- submitting to Google -NL- • Maintenance costs reduced 20%. Code refactored into shorter, loosely coupled, -NL- with design patterns -NL- Technologies: Java, Spring, Hibernate, Solr, JIRA, Git, MySQL, MongoDB, CSS, -NL- FreeMarker, (X)HTML, XML, jQuery, JIRA, Fisheye, Jenkins, Maven -NL- **`Claranet Ltd`[EMPLOYER_COMPANY_NAME]** – **`Project Manager, Solutions Architect`[EMPLOYER_ROLE]** Sep 2012 – Apr 2013 (8 -NL- months) -NL- • Claranet is the largest provider of cloud and networking services in Europe -NL- • Managed the project from inception to delivery -NL- • Business analysis and requirements specification. Consulted with managers from -NL- multiple countries -NL- • Blueprints of solutions architecture and detailed blueprints of each component -NL- (Agile) -NL- • Service-Oriented Architecture and a new API for 3rd parties to consume data -NL- automatically -NL- • Integrated services from ServiceNow (an IT support system) -NL- • Contributed source code to Git and created best practices to achieve a high-quality -NL- code on time -NL- Achievements: -NL- • Customer satisfaction boost after enterprise services of Claranet became a one -NL- stop shop -NL- • The project was attempted by 3 different leaders before me without delivering. I -NL- interviewed stakeholders, gathered requirements, managed the project, designed -NL- solution architecture, and introduced a disciplined process. With that, I overcame -NL- challenges and delivered with an above-average technical quality, on budget, on -NL- time, implementing all requirements. -NL- • Improved team work and stakeholder communication using Enterprise Architect -NL- • Boosted moral and productivity by replacing an undefined reactive SDLC with IBM -NL- Agile RUP -NL- Technologies: UML, Java, EJB, Hibernate, JUnit, Maven, JAX-WS, Selenium, MySQL, -NL- HTML5, XML, CSS3, jQuery, Twitter Bootstrap, Windows, Linux, LDAP, GIT, Enterprise -NL- Architect (UML CASE tool), Enterprise Application Integration, ITIL, ISO 9001:2008, -NL- ISO 27001:2005, PCI-DSS -NL- **`iDealer Network`[EMPLOYER_COMPANY_NAME]** – **`Project Manager, Solutions Architect`[EMPLOYER_ROLE]**, Lead Software -NL- Engineer Aug 2011 – Dec 2012 (1 year 5 months) -NL- • Premium automotive software for vehicle dealerships and internet related -NL- automotive services -NL- • Closely cooperated with C-level executives headquartered in Los Angeles, CA -NL- • Acted as a Scrum Master for their dealership automotive CMS system -NL- • Engineered new components of a sophisticated multi-tenancy CMS for automobile -NL- dealers -NL- • Integrated SOAP and REST APIs such as CARFAX, EBay, Rackspace, and other -NL- • Used TDD and wrote many unit tests, mock objects, and integration tests -NL- • Created a REST API for image manipulation, vehicle inventory, and other -NL- • Cloud server administration, created new domains, managed virtual instances, -NL- resolved any errors -NL- • Built a new data warehouse and started a new product development (data mining -NL- of all US vehicles) -NL- Achievements: -NL- • Built a data warehouse and a tailor-made infrastructure that raised attention of -NL- major sponsors. As a result, there is www.au.to – best deals on cars in the US scored -NL- by AutoRank (patent-pending technology) -NL- • Architected a new solution for vehicle inventory to exploit latest cloud features -NL- such as CDN and distributed data processing. Performance boosted up to 300% as -NL- compared to a single-node solution. -NL- • 50% reduced learning time for new hires in the engineering department, 30% -NL- improved team communication using a Knowledge Management System, added -NL- processes to transfer knowledge -NL- Technologies: UML, Java, Spring, Hibernate, JMS, EJB, Rackspace CDN, Lucene, JIRA -NL- and Greenhopper (Agile), Confluence, GIT, ODBC, MySQL, C, CSS3, (X)HTML, jQuery, -NL- Twitter Bootstrap, Linux, UNIX -NL- **`Huddlebuy Ltd`[EMPLOYER_COMPANY_NAME]** – **`Team Lead, Solutions Architect, Lead Software Engineer`[EMPLOYER_ROLE]** -NL- February 2011 – July 2011 (6 months) -NL- • Team Lead for in-house engineers plus for an offshore engineering team -NL- • Consulted requirements with managers and helped to introduce Agile releases and -NL- Backlog -NL- • Architected and engineered Huddlebuy, a new cutting-edge B2B e-commerce -NL- platform -NL- • Established project standards incl. TDD and streamlined development of high- -NL- quality code -NL- • Integrated 3rd party APIs such as Google advertising and marketing, email -NL- campaigns, newsletter services, payment gateways (PayPal, SagePay), LiveChat, and -NL- more -NL- • Implemented modules such as products, orders, payments, authentication, -NL- administration -NL- • Created web services for external systems with data from latest deals and a -NL- JavaScript Web frontend -NL- • Established a good QA with unit tests, integration tests, and also ran performance -NL- benchmarks to identify hotspots and optimize performance -NL- Achievements: -NL- • Improved the number of prospects 300% via proprietary R&D in the area of mail -NL- exchange -NL- • 50% reduced development time and 70% higher productivity by designing and -NL- implementing a tailor-made e-commerce group buying platform which replaced the -NL- Open Source system used previously -NL- • Tightened up security and mitigated 100% of XSS with a tailor-made XSS protection -NL- API -NL- Technologies: UML, Java, MySQL, CSS, (X)HTML, jQuery, UNIX, SVN, Mantis -NL- (Agile/Scrum backlog tool), SparxSystems Enterprise Architect, Google Analytics, -NL- SugarCRM -NL- **`Bond Media Ltd `[EMPLOYER_COMPANY_NAME]**– **`R&D Senior Software Engineer, Security Expert`[EMPLOYER_ROLE]** 2011 – -NL- 2011 (1 month) -NL- • Secured servers to pass the PCI-DSS certification (then audited via a private -NL- company and passed) -NL- • Helped to identify, purchase, and install appropriate security certificates to protect -NL- sensitive data -NL- • Configured HTTPS and secured e-commerce payments -NL- • Worked in a TDD environment with Agile methodologies such as continuous- -NL- delivery, continuous integration and Scrum -NL- • Discussed requirements and architected solutions in UML -NL- • Implemented new components (Component-Based **`Software Engineering`[EDUCATION_COURSE]**) -NL- • Wrote unit tests, mock objects, integration tests, and also ran security audits -NL- • Provided Quality Assurance (conducted code reviews, cleaning,fixes, and quality -NL- improvements) -NL- Technologies: UML, Java, GWT, MySQL, CSS, (X)HTML, UNIX, Linux, SVN, PCI-DSS, -NL- Windows -NL- **`PcWehle`[EMPLOYER_COMPANY_NAME]** – **`Lead Software Engineer, IT Strategist `[EMPLOYER_ROLE]**2010 – 2010 (5 months) -NL- • Led the project for company’s own CMS and the architecture (modular web-centric -NL- solution) -NL- • Worked in an Agile TDD environment with unit testing and Scrum -NL- • Customized OpenSource CMS/e-commerce systems Redaxo and xtCommerce for -NL- customers -NL- • Created a Twitter add-on, a semi-automated export of products to Amazon, and -NL- other enhancements -NL- • 3rd party integrations for import and export of products in e-commerce systems -NL- • Engineered a REST API to access and control CMS content from external systems -NL- (secured with ACLs) -NL- • Server security and reliability solutions, updates, monitoring, and CMS development -NL- • Cared for hundreds of customers. Supervised their *NIX servers, implemented CRs -NL- (Change Requests) -NL- Achievements: -NL- • Business growth and new product development: designed and implemented a -NL- company’s own unique CMS; Top-notch solution architecture reduced development -NL- time of customizations, offered a maintainable source code and maximized scalability -NL- • Business operations made more efficient. For instance, onboarding of new clients -NL- made 40% more efficient using automation and management simplified with -NL- integrations in the company’s new CMS -NL- Technologies: Java, AWS, Payment Gateways, MySQL, CSS, (X)HTML, Linux, SVN -NL- **`Cybergenics Ltd `[EMPLOYER_COMPANY_NAME]**– **`Solutions Architect, Lead Software Engineer `[EMPLOYER_ROLE]**2010 – 2010 (7 -NL- months) -NL- • Re-engineered and modernized Shoptet, a highly successful e-commerce/CMS -NL- platform -NL- • Reworked internationalization (used gettext i18n for language, currency, time/date -NL- formatting) -NL- • Integrated 3rd party APIs using REST web services for clients and suppliers to access -NL- latest product information, offers, statistics. Also import/export data, payment -NL- gateways, and discount API -NL- • Administered mission-critical servers and consolidated their security -NL- • Developed shell scripts and automated several routine tasks such as a new project -NL- creation -NL- • Created a standard deployment process from Git to a live 24/7 distributed -NL- environment -NL- • Responsible for deploying with a minimization and prevention of any downtime in -NL- compliance with SLAs -NL- Achievements: -NL- • Exponentially reduced defect reporting time and investigation time, from tens of -NL- minutes to only seconds, by designing and implementing an automated reporting -NL- system -NL- • Increased DB reliability by reengineering the data layer from MyISAM to InnoDB -NL- with table relations -NL- • Reduced business expenses by installing and setting up a VoIP telephone system -NL- and a ticket system -NL- • 30% decreased maintenance time after reengineering code into reusable -NL- components with loose coupling (packages) -NL- Technologies: C, Smarty, MySQL, (X)HTML, CSS, Windows, Linux, SVN, osTicket, -NL- Mantis -NL- **`Mineus )( Ltd`[EMPLOYER_COMPANY_NAME]** – **`Lead Software Engineer / Senior Software Developer, -NL- Security Expert`[EMPLOYER_ROLE]** 2009 – 2010 (10 months) -NL- • Led the development of and designed a tailor-made data mining infrastructure -NL- which the whole company reused and based new products on such as a database of -NL- all events in the city, event venues, performers, dates, weather forecast (if in open -NL- space), popularity, etc. -NL- • Data mining: Web scrapers in Java and additional data mining with WebHarvest -NL- (Java framework) -NL- • CMS customization: Joomla!, WordPress, WordPress MU with BuddyPress -NL- • Integrations of REST API from Social Networks to automatically publish posts on FB -NL- and Twitter -NL- • Netdoktor health portal web development in an Agile team of 10 developers with -NL- Scrum -NL- • Linux server security enhancements, diagnosis and resolution of issues -NL- • Code versioned with Git. Multiple branches, helped with release engineering, code -NL- conflicts, and more -NL- Achievements: -NL- • Architected and engineered a data mining infrastructure the company has reused -NL- and based new products upon -NL- • Improved quality, reliability, and new releases with unit testing and QA standards -NL- Technologies: WebHarvest, XPath, XQuery, Java, Hibernate, Lucene, (X)HTML, XML, -NL- CSS, jQuery, SVN, Mantis, WordPress, Drupal, Joomla -NL- **`Michael Krümmel`[EMPLOYER_COMPANY_NAME]** – **`Senior Software Developer, Security Expert`[EMPLOYER_ROLE]** 2007 – 2009 -NL- (2 years) -NL- • Web development such as Massage Atelier, car oil e-shop, dating portal, and a -NL- leisure chat system -NL- • Engineered web services and API integrations with 3rd parties for monitoring -NL- operational statistics -NL- • Developed multi-threaded Java applications to upload specificfiles on FTP and -NL- manage new domains -NL- • Data processing from web services (REST and SOAP) tofind out car oil prices, -NL- image data manipulation -NL- • In-memory EhCache for database results and cached web pages -NL- • Configured and used Subversion (SVN) in a team setting with periodic releases -NL- (Agile) -NL- Technologies: Java, Swing, AWT, SWT, Applets, MySQL, C++, DirectShow, (X)HTML, -NL- CSS, JavaScript, AJAX, Windows, Linux, SVN -NL- **`Global Agent `[EMPLOYER_COMPANY_NAME]**– **`Software Developer / IT Support / IT Lecturer`[EMPLOYER_ROLE]** 2006 – 2007 (1 -NL- year) -NL- • Web Development (e-commerce), server administration, delivery of IT lectures to -NL- adult professionals -NL- Technologies: Delphi (Object Pascal), MySQL, (X)HTML, CSS, JavaScript, AJAX, -NL- Windows -NL- 